unit EditorExtension;

interface

uses Rubies, HEditor, EditorHandle;

const
  EditorDLL = 'editor.so';

function ap_cEditor: Tvalue;
function EditorHandle: TEditorHandle;
procedure Editor_setup(obj: Tvalue; real: TEditor);
function Editor_alloc(This: Tvalue; real: TEditor): Tvalue;
function ap_cNotifyPersistent: Tvalue;
function ap_cEditorMark: Tvalue;
function EditorMark_alloc(This: Tvalue; real: TEditorMark): Tvalue;
procedure EditorMarks_setup(This: Tvalue; real: TEditorMarks);
function EditorMarks_alloc(This: Tvalue; real: TEditorMarks): Tvalue;

implementation

function ap_cEditor: Tvalue; external EditorDLL;
function EditorHandle: TEditorHandle; external EditorDLL;
procedure Editor_setup(obj: Tvalue; real: TEditor); external EditorDLL;
function Editor_alloc(This: Tvalue; real: TEditor): Tvalue; external EditorDLL;
function ap_cNotifyPersistent: Tvalue; external EditorDLL;
function ap_cEditorMark: Tvalue; external EditorDLL;
function EditorMark_alloc(This: Tvalue; real: TEditorMark): Tvalue; external EditorDLL;
procedure EditorMarks_setup(This: Tvalue; real: TEditorMarks); external EditorDLL;
function EditorMarks_alloc(This: Tvalue; real: TEditorMarks): Tvalue; external EditorDLL;

end.
